summaryrefslogtreecommitdiffstats
path: root/source/ap/sc-im
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-05-25 00:24:33 +0000
committer Eric Hameleers <alien@slackware.com>2023-05-25 03:50:00 +0200
commited49432ad9d734d447d1bda6657b2d221a7fb3a8 (patch)
treefbd372b018ab43e211a275280da8a02597203800 /source/ap/sc-im
parentb2fa3fdbd7ee8367f9ea371367850e010a58dfee (diff)
downloadcurrent-ed49432ad9d734d447d1bda6657b2d221a7fb3a8.tar.gz
current-ed49432ad9d734d447d1bda6657b2d221a7fb3a8.tar.xz
Thu May 25 00:24:33 UTC 202320230525002433
a/elilo-3.16-x86_64-16.txz: Rebuilt. eliloconfig: don't mess with mounting efivarfs. This should be handled by rc.S, or by whatever the admin put in /etc/fstab. a/kernel-firmware-20230523_1ba3519-noarch-1.txz: Upgraded. a/kernel-generic-6.1.30-x86_64-1.txz: Upgraded. a/kernel-huge-6.1.30-x86_64-1.txz: Upgraded. a/kernel-modules-6.1.30-x86_64-1.txz: Upgraded. a/sysvinit-scripts-15.1-noarch-5.txz: Rebuilt. rc.S: mount efivarfs rw, may be overridden in /etc/default/efivarfs. ap/sc-im-0.8.3-x86_64-1.txz: Upgraded. d/kernel-headers-6.1.30-x86-1.txz: Upgraded. d/parallel-20230522-noarch-1.txz: Upgraded. k/kernel-source-6.1.30-noarch-1.txz: Upgraded. l/enchant-2.4.0-x86_64-1.txz: Upgraded. l/glib2-2.76.3-x86_64-1.txz: Upgraded. l/gtk+3-3.24.38-x86_64-1.txz: Upgraded. l/qt5-5.15.9_20230523_245f369c-x86_64-1.txz: Upgraded. This update fixes a security issue. Qt-based clients may mismatch HSTS headers (Strict-Transport-Security), which would prevent the client from switching to a secure HTTPS connection as requested by a server. For more information, see: https://www.cve.org/CVERecord?id=CVE-2023-32762 (* Security fix *) n/curl-8.1.1-x86_64-1.txz: Upgraded. This is a bugfix release. t/texlive-2023.230322-x86_64-3.txz: Rebuilt. This update patches a security issue: LuaTeX before 1.17.0 allows execution of arbitrary shell commands when compiling a TeX file obtained from an untrusted source. This occurs because luatex-core.lua lets the original io.popen be accessed. This also affects TeX Live before 2023 r66984 and MiKTeX before 23.5. Thanks to Johannes Schoepfer. For more information, see: https://www.cve.org/CVERecord?id=CVE-2023-32700 (* Security fix *) xap/mozilla-firefox-113.0.2-x86_64-1.txz: Upgraded. This is a bugfix release. For more information, see: https://www.mozilla.org/en-US/firefox/113.0.2/releasenotes/ xfce/libxfce4ui-4.18.4-x86_64-1.txz: Upgraded. xfce/xfce4-panel-4.18.4-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/ap/sc-im')
-rwxr-xr-xsource/ap/sc-im/repack-github-archive.sh74
1 files changed, 64 insertions, 10 deletions
diff --git a/source/ap/sc-im/repack-github-archive.sh b/source/ap/sc-im/repack-github-archive.sh
index 08799353d..3c9d3b571 100755
--- a/source/ap/sc-im/repack-github-archive.sh
+++ b/source/ap/sc-im/repack-github-archive.sh
@@ -1,10 +1,64 @@
-ARCHIVE_ORIG=$(/bin/ls v*.tar.gz)
-NEW_BASENAME="sc-im-$(basename $ARCHIVE_ORIG .tar.gz | cut -b2-)"
-rm -rf ${NEW_BASENAME}*
-tar xf $ARCHIVE_ORIG
-# Dump this stuff:
-rm -rf $NEW_BASENAME/{examples,screenshots}
-tar cf ${NEW_BASENAME}.tar ${NEW_BASENAME}
-plzip -9 ${NEW_BASENAME}.tar
-rm -f ${ARCHIVE_ORIG}
-rm -rf ${NEW_BASENAME}
+#!/bin/bash
+
+# Copyright 2020, 2021, 2022, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+CWD=$(pwd)
+
+# If no archive specified with $1, then look for a v[0-9]*.tar.gz styled tarball:
+if [ ! -z $1 ]; then
+ GITHUB_ARCHIVE=$1
+else
+ GITHUB_ARCHIVE=${GITHUB_ARCHIVE:-$(/bin/ls v[0-9]*.tar.gz 2> /dev/null)}
+ if ! /bin/ls v[0-9]*.tar.gz 1> /dev/null 2> /dev/null ; then
+ echo "ERROR: github archive not found"
+ exit 1
+ fi
+fi
+
+OUTPUT_NAME=$(tar tvvf $GITHUB_ARCHIVE | head -n 1 | tr -d / | rev | cut -f 1 -d ' ' | rev)
+OUTPUT_TIMESTAMP=$(tar tvvf $GITHUB_ARCHIVE | head -n 1 | tr -d / | rev | cut -f 2,3 -d ' ' | rev)
+
+# Create a temporary extraction directory:
+EXTRACT_DIR=$(mktemp -d)
+
+# Extract, repack, compress, and fix timestamp:
+( cd $EXTRACT_DIR
+ tar xf $CWD/$GITHUB_ARCHIVE
+ # If this is a stupid archive with the name doubled up, fix that:
+ if [ "$(echo $OUTPUT_NAME | cut -f 1 -d -)" = "$(echo $OUTPUT_NAME | cut -f 2 -d -)" ]; then
+ echo -n "Fixing internal archive name $OUTPUT_NAME -> "
+ OUTPUT_NAME="$(echo $OUTPUT_NAME | cut -f 2- -d -)"
+ echo $OUTPUT_NAME
+ mv * $OUTPUT_NAME
+ fi
+ tar cf $OUTPUT_NAME.tar $OUTPUT_NAME
+ plzip -9 $OUTPUT_NAME.tar
+ touch -d "$OUTPUT_TIMESTAMP" $OUTPUT_NAME.tar.lz
+)
+
+# Move the repacked archive here:
+mv $EXTRACT_DIR/*.tar.lz .
+
+# Remove the temporary directory:
+rm -rf $EXTRACT_DIR
+
+# Remove the repo tarball:
+rm -f $GITHUB_ARCHIVE